Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QWidget.RenderFlag

    java.lang.Object
      java.lang.Enum<QWidget.RenderFlag>
          com.trolltech.qt.gui.QWidget.RenderFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QWidget.RenderFlag>

Enclosing class:
  QWidget

    public static enum QWidget.RenderFlag

extends java.lang.Enum<QWidget.RenderFlag>
implements QtEnumerator

This enum describes how to render the widget when calling QWidget.:render().

Enum Constant Summary
`DrawChildren` If you enable this option, the widget's children are rendered recursively into the target.
`DrawWindowBackground` If you enable this option, the widget's background is rendered into the target even if `autoFillBackground` is not set.
`IgnoreMask` If you enable this option, the widget's QWidget::mask() is ignored when rendering into the target.

Method Summary
`static QWidget.RenderFlags` | `createQFlags(QWidget.RenderFlag... values)`
`static QWidget.RenderFlag` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QWidget.RenderFlag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QWidget.RenderFlag[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DrawWindowBackground

    public static final QWidget.RenderFlag DrawWindowBackground

  If you enable this option, the widget's background is rendered into the target even if `autoFillBackground` is not set. By default, this option is enabled.

### DrawChildren

    public static final QWidget.RenderFlag DrawChildren

  If you enable this option, the widget's children are rendered recursively into the target. By default, this option is enabled.

### IgnoreMask

    public static final QWidget.RenderFlag IgnoreMask

  If you enable this option, the widget's QWidget::mask() is ignored when rendering into the target. By default, this option is disabled.

Method Detail

### values

    public static final QWidget.RenderFlag[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QWidget.RenderFlag c : QWidget.RenderFlag.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QWidget.RenderFlag valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QWidget.RenderFlags createQFlags(QWidget.RenderFlag... values)

### resolve

    public static QWidget.RenderFlag resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD